/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Oct-30-2011 08:24:12pm
Filepath: scripts\_custom\events and scenarios\Halloween2011\Bosses\Herpekitus\DarkTree.cs
Lines of code: 30
***********************************************************/


using System;
using Server;
using Server.Network;

namespace Server.Items
{
	public class DarkTree : Item
	{
		[Constructable]
		public DarkTree() : base( 8778 )
		{
			Name = "A dark tree"; 
			ItemID = Utility.RandomList(8778,8779,8780,8781);
			Hue = 2075;
			Weight = 10.0;
		}

		public DarkTree( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}